# Uses of Class
org.globus.ftp.vanilla.TransferState

Packages that use TransferState
Package
Description
org.globus.ftp
org.globus.ftp.vanilla
org.globus.io.streams
Implements the standard Java I/O streams interface for a number of different protocols, including FTP, GSIFTP, HTTP, HTTPS, and File.

## Uses of TransferState in org.globus.ftp

Methods in org.globus.ftp that return TransferState
Modifier and Type
Method
Description
`TransferState`
FTPClient.`asynchGet(String remoteFileName, DataSink sink, MarkerListener mListener)`
Retrieves the file from the remote server.
`TransferState`
FTPClient.`asynchGet2(String remoteFileName, boolean passive, DataSink sink, MarkerListener mListener)`
Retrieves a file asynchronously using the GFD.47 (a.k.a GridFTP2) GET command.
`TransferState`
FTPClient.`asynchPut(String remoteFileName, DataSource source, MarkerListener mListener)`
Stores file at the remote server.
`TransferState`
FTPClient.`asynchPut(String remoteFileName, DataSource source, MarkerListener mListener, boolean append)`
Stores file at the remote server.
`TransferState`
FTPClient.`asynchPut2(String remoteFileName, boolean passive, DataSource source, MarkerListener mListener)`
Stores a file at the remote server using the GFD.47 (a.k.a GridFTP2) PUT command.
`protected TransferState`
FTPClient.`transferBegin(BasicClientControlChannel other, MarkerListener mListener)`
`protected TransferState`
FTPClient.`transferStart(BasicClientControlChannel other, MarkerListener mListener)`
Methods in org.globus.ftp with parameters of type TransferState
Modifier and Type
Method
Description
`protected void`
FTPClient.`transferWait(TransferState transferState)`

## Uses of TransferState in org.globus.ftp.vanilla

Constructors in org.globus.ftp.vanilla with parameters of type TransferState
Modifier
Constructor
Description
``
`TransferMonitor(BasicClientControlChannel controlChannel, TransferState transferState, MarkerListener mListener, int maxWait, int ioDelay, int side)`

## Uses of TransferState in org.globus.io.streams

Fields in org.globus.io.streams declared as TransferState
Modifier and Type
Field
Description
`protected TransferState`
FTPInputStream.`state`
`protected TransferState`
FTPOutputStream.`state`